- [Resource: StoragePoolTypesGetResponse](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/storagePoolTypes#StoragePoolTypesGetResponse)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/storagePoolTypes#StoragePoolTypesGetResponse.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/storagePoolTypes#StoragePoolTypesGetResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION)
- [Methods](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/storagePoolTypes#METHODS_SUMMARY)

## Resource: StoragePoolTypesGetResponse

| JSON representation |
|---|
| ``` { "resource": { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "deprecated": { "state": enum, "replacement": string, "deprecated": string, "obsolete": string, "deleted": string }, "zone": string, "selfLink": string, "selfLinkWithId": string, "minSizeGb": string, "minPoolProvisionedCapacityGb": string, "maxPoolProvisionedCapacityGb": string, "minPoolProvisionedIops": string, "maxPoolProvisionedIops": string, "minPoolProvisionedThroughput": string, "maxPoolProvisionedThroughput": string, "supportedDiskTypes": [ string ] } } ``` |

| Fields ||
|---|---|
| `resource` | `object` |
| `resource.kind` | `string` Output only. Type of the resource. Always `compute#storagePoolType` for storage pool types. |
| `resource.id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `resource.creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `resource.name` | `string` Output only. Name of the resource. |
| `resource.description` | `string` Output only. An optional description of this resource. |
| `resource.deprecated` | `object` Output only. The deprecation status associated with this storage pool type. |
| `resource.deprecated.state` | `enum` The deprecation state of this resource. This can be `ACTIVE`, `DEPRECATED`, `OBSOLETE`, or `DELETED`. Operations which communicate the end of life date for an image, can use `ACTIVE`. Operations which create a new resource using a `DEPRECATED` resource will return successfully, but with a warning indicating the deprecated resource and recommending its replacement. Operations which use `OBSOLETE` or `DELETED` resources will be rejected and result in an error. |
| `resource.deprecated.replacement` | `string` The URL of the suggested replacement for a deprecated resource. The suggested replacement resource must be the same kind of resource as the deprecated resource. |
| `resource.deprecated.deprecated` | `string` An optional [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) timestamp on or after which the state of this resource is intended to change to `DEPRECATED`. This is only informational and the status will not change unless the client explicitly changes it. |
| `resource.deprecated.obsolete` | `string` An optional [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) timestamp on or after which the state of this resource is intended to change to `OBSOLETE`. This is only informational and the status will not change unless the client explicitly changes it. |
| `resource.deprecated.deleted` | `string` An optional [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) timestamp on or after which the state of this resource is intended to change to `DELETED`. This is only informational and the status will not change unless the client explicitly changes it. |
| `resource.zone` | `string` Output only. URL of the zone where the storage pool type resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |
| `resource.selfLink` | `string` Output only. Server-defined URL for the resource. |
| `resource.selfLinkWithId` | `string` Output only. Server-defined URL for this resource with the resource id. |
| `resource.minSizeGb` | `string (https://developers.google.com/discovery/v1/type-format format)` \[Deprecated\] This field is deprecated. Use minPoolProvisionedCapacityGb instead. |
| `resource.minPoolProvisionedCapacityGb` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. Minimum storage pool size in GB. |
| `resource.maxPoolProvisionedCapacityGb` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. Maximum storage pool size in GB. |
| `resource.minPoolProvisionedIops` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. Minimum provisioned IOPS. |
| `resource.maxPoolProvisionedIops` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. Maximum provisioned IOPS. |
| `resource.minPoolProvisionedThroughput` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. Minimum provisioned throughput. |
| `resource.maxPoolProvisionedThroughput` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. Maximum provisioned throughput. |
| `resource.supportedDiskTypes[]` | `string` Output only. The list of disk types supported in this storage pool type. |

| ## Methods ||
|---|---|
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/storagePoolTypes/aggregatedList` | Retrieves an aggregated list of storage pool types. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/storagePoolTypes/get` | Returns the specified storage pool type. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/storagePoolTypes/list` | Retrieves a list of storage pool types available to the specified project. |